Bug 8595 - [PATCH] Упрощения в spec-файле
: [PATCH] Упрощения в spec-файле
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vtund)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-05 20:20 by
Modified: 2013-08-16 12:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-05 20:20:07
Сейчас в спеке такое:
%prep

%setup -q -n %item
%__aclocal
%__autoconf
%configure  --prefix=%_usr                  \
   --sysconfdir=%_sysconfdir       \
   --localstatedir=%_localstatedir

Вот только зачем? Можно упростить до:
%prep

%setup -q -n %item
%__aclocal
%__autoconf
%configure
------- Comment #1 From 2007-06-01 13:17:17 -------
>%setup -q -n %item
>%__aclocal
>%__autoconf
>%configure

Можно упростить ещё! :))

%setup -n %item
%__autoreconf
%configure
------- Comment #2 From 2013-08-15 20:40:39 -------
(В ответ на комментарий №1)
> >%__aclocal
> >%__autoconf
http://www.altlinux.org/TypicalPackagingErrors/StrikeOutMacro

> Можно упростить ещё! :))
Не стоит.

> %__autoreconf
Взрывается на autoheader: http://sourceforge.net/p/vtun/patches/21/

Отправляю в сизиф сборку 3.0.3 с относительно небольшими правками -- Юра,
vtun-3.0.2-legacy_encrypt.patch в апстрим взяли:
http://vtun.sourceforge.net/ChangeLog -- соответственно убрал.
------- Comment #3 From 2013-08-15 20:45:34 -------
vtund-3.0.3-alt1 -> sisyphus:

* Thu Aug 15 2013 Michael Shigorin <mike@altlinux> 3.0.3-alt1
- NMU:
  + Release 3.0.3
    - dropped vtun-3.0.2-legacy_encrypt.patch (rfe1685781 merged upstream)
  + added --with M70P support
  + minor spec cleanup (closes: #8595)